@font-face {  
    font-family: 'OpenSans';  
    src: local('OpenSans'),    
    url('../fonts/OpenSans-Regular.woff2') format('woff2');
    font-weight: 400;  
    font-style: normal;  
    font-display: swap; 
    unicode-range: U+000-5FF;
}

@font-face {  
    font-family: 'OpenSans';  
    src: local('OpenSans'),       
    url('../fonts/OpenSans-Bold.woff2') format('woff2');
    font-weight: bold;  
    font-style: normal;  
    unicode-range: U+000-5FF;
    font-display: swap; 
}

*,:after,:before {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    -webkit-text-size-adjust: 100%;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    line-height: 1.15;
    font-family: 'OpenSans',-apple-system,BlinkMacSystemFont,Segoe UI,Roboto,Helvetica Neue,Arial,Noto Sans,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;
    margin: 0;
    overflow-x: hidden;
}

#_mainwrapper{
    color: #2b3744;
}



._max_width{
    max-width: 900px;
    margin: 0 auto;
    padding: 1.8em 1.4em;
}

main {
    display: block;
}

h1 {
    font-size: 2em;
}

pre {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
}
/* Ensure the column fills its row height */
#boxes {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
}



/*a {
    background-color: transparent;
    color: inherit;
    text-decoration: none;
    display: inline-block;
}

a:hover{
    text-decoration: underline;
}
*/
abbr[title] {
    border-bottom: none; /* 1 */
    text-decoration: underline; /* 2 */
    text-decoration: underline dotted; /* 2 */
}

b,
strong {
    font-weight: bolder;
}

code,
kbd,
samp {
    font-family: monospace, monospace; /* 1 */
    font-size: 1em; /* 2 */
}

small {
    font-size: 80%;
}

sub,
sup {
    font-size: 75%;
    line-height: 0;
    position: relative;
    vertical-align: baseline;
}

sub {
    bottom: -0.25em;
}

sup {
    top: -0.5em;
}

img {
    border-style: none;
    max-width: 100%;
}

button,
input,
optgroup,
select,
textarea {
    font-family: inherit;
    font-size: 100%;
    line-height: 1.15;
    margin: 0;
}

button,
input { 
    overflow: visible;
}


button,
select {
    text-transform: none;
}

button,
[type="button"],
[type="reset"],
[type="submit"] {
    -webkit-appearance: button;
}

button::-moz-focus-inner,
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner {
    border-style: none;
    padding: 0;
}

button:-moz-focusring,
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring {
    outline: 1px dotted ButtonText;
}

fieldset {
    padding: 0.35em 0.75em 0.625em;
}

legend {
    box-sizing: border-box;
    color: inherit;
    display: table;
    max-width: 100%; 
    padding: 0; 
    white-space: normal;
}

progress {
    vertical-align: baseline;
}

textarea {
    overflow: auto;
}

[type="checkbox"],
[type="radio"] {
    box-sizing: border-box;
    padding: 0;
}

[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
    height: auto;
}

[type="search"] {
    -webkit-appearance: textfield;
    outline-offset: -2px;
}

[type="search"]::-webkit-search-decoration {
    -webkit-appearance: none;
}

::-webkit-file-upload-button {
    -webkit-appearance: button;
    font: inherit;
}

details {
    display: block;
}


summary {
    display: list-item;
}

template {
    display: none;
}

[hidden] {
    display: none;
}

p, h1, h2, h3, h4, h5, h6, div, a{
    margin: 0;
    padding: 0;
}
h2.section_title{
    color: grey;
}
a, input, button{
    outline: none;
}

ul, li, ol{
    margin: 0;
}

.v-align{
    vertical-align: middle;
    display: table-cell;
}
  
._unselectable {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -o-user-select: none;
    user-select: none;
    pointer-events: none;
}

#_cookie_ic{
    font-size: .6em;
    display: inline-block;
    padding-top: .56em;
    vertical-align: top;
    letter-spacing: -0.15em;
    margin-left: -0.15em;
}

#app_title{
    margin-bottom: 10px;
    font-size: 4em;
    padding-bottom: 0;
    color: #1e1c1b;
    margin-top: 40px;
    margin-left: -2px;
}

#app_description{
    display: block;
    max-width: 500px;
    margin-bottom: 150px;
    font-weight: initial;
    padding: 0 10px;
}

.styled_btn{
    font-weight: bold;
    text-transform: none;
    background: #161515;
    background: #ffeec0;
    border: none;
    border-radius: 5px;
    font-family: inherit;
    color: #000000;
    padding: 1em 1em;
    cursor: pointer;
    font-size: .8em;
    transition: box-shadow .3s ease;
}


.c_emf{
    font-weight: bold;
}

ul{
    list-style-type: NONE;
    padding: 0;
}

ul li{
    margin: 0;
    margin-bottom: 5px;
    margin-right: 5px;
    margin-bottom: 9px;
   /* display: inline-block;*/
}

#_title_span{
    position: relative;
    display: inline-block;
    z-index: 1;
    padding: 10px;
    border-radius: 10px;
}

#_hover_line{
    width: 100%;
    height: 98%;
    display: block;
    background: #ffeec0;
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: -1;
    border-radius: 5px;
    transition: transform .5s ease;
    transform: scaleY(0);
    transform-origin: bottom;
}

#_title_span:hover #_hover_line{
    transform: scaleY(1);
}

#api_section h3,
#additional_section > p{
    display: inline-block;
    margin-bottom: 5px;
    background: #1e1c1b;
    color: #ffeec0;
    padding: 5px 10px;
    margin-left: 10px;
    border-radius: 5px;
    margin-bottom: 20px;
}

#api_section > ul{
    list-style-type: NONE;
    padding: 0 10px;
}

#additional_section{
    margin-top: 50px;
}


#additional_section button{
    margin-left: 10px;
}

#github_link{
    display: inline-block;
    BACKGROUND: #1e1c1b;
    border-radius: 5px;
    padding: 10px 15px;
    color: #ffffff;
    text-decoration: none;
    box-shadow: 0px 0px 0px 4px #dad9d9;
    margin-left: 10px;
    vertical-align: top;
}
#_icon,
#_text{
    display: inline-block;
    vertical-align: top;
}

/*#_icon > svg{
    FILL: #ffffff;
    display: block;
    margin-top: 2px;
}
*/
#_text{
    font-weight: bold;
    margin-left: 5px;
    DISPLAY: inline-block;
    vertical-align: middle;
}

._badge{
    display: inline-block;
}

#_badges{
    margin-left: 10px;
    display: inline-block;
    max-width: 100px;
    height: 46px;
}

#_badges >  img{
    display: inline-block!important;
}

body.d_mode{
    background: #141416;
}


.d_mode #_mainwrapper{
    color: #d0d4d8;
}

.d_mode #app_title{
    color: #ffffff;
}

.d_mode #github_link{
    BACKGROUND: #ffeec0;
    color: #141416;
    box-shadow: 0px 0px 0px 4px #37352e;
}

/*.d_mode #_icon > svg{
    FILL: #141416;
}*/

.d_mode .c_emf{
    COLOR: #ffe295;
}

.d_mode .styled_btn{
    background: #fee194;
}

.d_mode #_hover_line{
    background: #272623;
}

.d_mode #api_section h3, 
.d_mode #additional_section > p{
    color: #ffffff;
    background: #2c2c2c;
}

.d_mode .styled_btn:hover{
    box-shadow: 0 0 0 3px #4b4639;
}

@media screen and (max-width: 480px) {
    #app_description{
        margin-bottom: 80px;
    }
}